Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridWriter Class Reference

`#include <vtkStructuredGridWriter.h>`

Inheritance diagram for vtkStructuredGridWriter:

[legend]
Collaboration diagram for vtkStructuredGridWriter:

[legend]
List of all members.

## Detailed Description

write vtk structured grid data file

Date:
  2002/05/31 23:12:41

Revision:
  1.37

vtkStructuredGridWriter is a source object that writes ASCII or binary structured grid data files in vtk format. See text for format details.

Warning:
  Binary files written on one system may not be readable on other systems.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (75%)
  - Martin, Ken (7%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkStructuredGridWriter.h)`
  - .`cxx` (`/IO/vtkStructuredGridWriter.cxx)`

Tests:
  vtkStructuredGridWriter (Tests)

Definition at line 51 of file vtkStructuredGridWriter.h.

## Public Types
typedef vtkDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkStructuredGrid *input)
vtkStructuredGrid * | GetInput ()
## Static Public Methods
vtkStructuredGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkStructuredGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridWriter ()
| ~vtkStructuredGridWriter ()
void | WriteData ()
void | WriteBlanking (ostream *fp, vtkStructuredGrid *ds)

## Member Typedef Documentation

typedef vtkDataWriter vtkStructuredGridWriter::Superclass

| Reimplemented from vtkDataWriter. Definition at line 55 of file vtkStructuredGridWriter.h.

## Constructor & Destructor Documentation

vtkStructuredGridWriter::vtkStructuredGridWriter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkStructuredGridWriter.h.

vtkStructuredGridWriter::~vtkStructuredGridWriter | ( |  | ) | `[inline, protected]`

| Definition at line 66 of file vtkStructuredGridWriter.h.

## Member Function Documentation

vtkStructuredGridWriter* vtkStructuredGridWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataWriter.

virtual const char* vtkStructuredGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataWriter.

int vtkStructuredGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

virtual int vtkStructuredGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

vtkStructuredGridWriter* vtkStructuredGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataWriter.

void vtkStructuredGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataWriter.

void vtkStructuredGridWriter::SetInput | ( | vtkStructuredGrid * | input | ) |

| Set / get the input data or filter.

vtkStructuredGrid* vtkStructuredGridWriter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented from vtkWriter.

void vtkStructuredGridWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataWriter.

void vtkStructuredGridWriter::WriteBlanking | ( | ostream * | fp,
|  | vtkStructuredGrid * | ds
| ) | `[protected]`

The documentation for this class was generated from the following file:

- IO/vtkStructuredGridWriter.h